com.mockobjects.dynamic

## Class C

- java.lang.Object
- - com.mockobjects.dynamic.C

    public abstract class C
    extends java.lang.Object

Convenient factory functions and constants for building predicates.

### Field Summary

Fields
`static ConstraintMatcher` `ANY_ARGS`
`static IsAnything` `IS_ANYTHING`
`static Constraint` `IS_FALSE`
`static Constraint` `IS_NOT_NULL`
`static Constraint` `IS_NOT_ZERO`
`static IsNull` `IS_NULL`
`static Constraint` `IS_TRUE`
`static Constraint` `IS_ZERO`
`static ConstraintMatcher` `NO_ARGS`

### Constructor Summary

Constructors
Constructor and Description
`C()`

### Method Summary

Methods
`static Constraint` `and(Constraint p1, Constraint p2)`
`static ConstraintMatcher` `anyArgs(int argCount)`
`static ConstraintMatcher` `args()`
`static ConstraintMatcher` `args(Constraint p)`
`static ConstraintMatcher` `args(Constraint p1, Constraint p2)`
`static ConstraintMatcher` `args(Constraint p1, Constraint p2, Constraint p3)`
`static Constraint` `eq(double d)`
`static Constraint` `eq(int n)`
`static Constraint` `eq(long l)`
`static Constraint` `eq(java.lang.Object o)`
`static ConstraintMatcher` `eq(java.lang.Object arg0, java.lang.Object arg1)`
`static ConstraintMatcher` `eq(java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)`
`static Constraint` `gt(char c)`
`static Constraint` `gt(double d)`
`static Constraint` `gt(int n)`
`static Constraint` `gt(long l)`
`static Constraint` `isA(java.lang.Class c)`
`static Constraint` `lt(char c)`
`static Constraint` `lt(double d)`
`static Constraint` `lt(int n)`
`static Constraint` `lt(long l)`
`static Constraint` `not(Constraint p)`
`static Constraint` `or(Constraint p1, Constraint p2)`
`static Constraint` `same(java.lang.Object o)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IS_ANYTHING

    public static final IsAnything IS_ANYTHING

#### IS_NULL

    public static final IsNull IS_NULL

#### IS_NOT_NULL

    public static final Constraint IS_NOT_NULL

#### IS_TRUE

    public static final Constraint IS_TRUE

#### IS_FALSE

    public static final Constraint IS_FALSE

#### IS_ZERO

    public static final Constraint IS_ZERO

#### IS_NOT_ZERO

    public static final Constraint IS_NOT_ZERO

#### NO_ARGS

    public static final ConstraintMatcher NO_ARGS

#### ANY_ARGS

    public static final ConstraintMatcher ANY_ARGS

### Constructor Detail

#### C

    public C()

### Method Detail

#### same

    public static Constraint same(java.lang.Object o)

#### eq

    public static Constraint eq(java.lang.Object o)

#### eq

    public static ConstraintMatcher eq(java.lang.Object arg0,
                       java.lang.Object arg1)

#### eq

    public static ConstraintMatcher eq(java.lang.Object arg0,
                       java.lang.Object arg1,
                       java.lang.Object arg2)

#### eq

    public static Constraint eq(int n)

#### eq

    public static Constraint eq(long l)

#### eq

    public static Constraint eq(double d)

#### gt

    public static Constraint gt(int n)

#### gt

    public static Constraint gt(long l)

#### gt

    public static Constraint gt(double d)

#### gt

    public static Constraint gt(char c)

#### lt

    public static Constraint lt(int n)

#### lt

    public static Constraint lt(long l)

#### lt

    public static Constraint lt(double d)

#### lt

    public static Constraint lt(char c)

#### not

    public static Constraint not(Constraint p)

#### and

    public static Constraint and(Constraint p1,
                 Constraint p2)

#### or

    public static Constraint or(Constraint p1,
                Constraint p2)

#### isA

    public static Constraint isA(java.lang.Class c)

#### args

    public static ConstraintMatcher args()

#### args

    public static ConstraintMatcher args(Constraint p)

#### args

    public static ConstraintMatcher args(Constraint p1,
                         Constraint p2)

#### args

    public static ConstraintMatcher args(Constraint p1,
                         Constraint p2,
                         Constraint p3)

#### anyArgs

    public static ConstraintMatcher anyArgs(int argCount)